#ifndef __CAPDEV_NETLINK_PLUGIN_HEADER_INCLUDED__
#define __CAPDEV_NETLINK_PLUGIN_HEADER_INCLUDED__

#include <g_globals.h>
#include <s_globals.h>
#include <plugins.h>

#include <asm/types.h>
#include <linux/netlink.h>
#include <net/if.h>

typedef struct nlhdr {
	u_int32_t	len;
	u_int32_t	mark;
	char iface[IFNAMSIZ];
}nlhdr_t, *p_nlhdr;

typedef struct nl_temp {
	nlhdr_t		hdr __attribute__((packed));
	char		data[CAP_SNAPLEN] __attribute__((packed));
}nl_temp_t, *p_nl_temp;

typedef struct cnl_priv{
	int		fd;
	int		use_if;
	struct		sockaddr_nl nls;
	char iface[IFNAMSIZ];
	packet_t	pkt;
}cnl_priv_t, *p_cnl_priv;

#endif /* __CAPDEV_NETLINK_PLUGIN_HEADER_INCLUDED__ */
