#ifndef __MEM_HEADER_INCLUDED__
#define __MEM_HEADER_INCLUDED__

#include <g_globals.h>
#include <lists.h>

typedef struct mem {
	list_head_t	l;
	void		*ptr;
	u_int32_t	size;
}mem_t, *p_mem;

char *fs_strdup(char *);
void *fs_alloc(size_t);
void fs_free(void *);
void fs_memstats(void);
void fs_usage(void);

#endif //__MEM_HEADER_INCLUDED__
