#include <alert.h>
#include <s_util.h>

PLUGIN_DECLARE_STD_IMPORTS;
proc_target_add		add_target;

target_action_e drop_target(p_packet p, void *priv, p_rule r)
{
	return TARGET_DONE;
}

void *drop_validate(char *token)
{
	return 0xdeadbeef;
}

uint _PLUGIN_INIT (p_plugin_in in, p_plugin_out out)
{
	PLUGIN_CHECK_PARAMS(in);
	PLUGIN_IMPORT_STD;
	
	add_target=in->add_target;
	
	out->name="target/drop";
	out->desc="Stops furthur processing on a matched packet";
	out->ver_major=1;
	out->ver_minor=0;
	
	add_target("DROP",
		drop_target,
		drop_validate,
		in->templates.t_cleanup_ptr);
	
	return PLUGIN_ERR_OK;
}

/* This is where we would cleanup our shit */
uint _PLUGIN_UNLOAD (void)
{
	return PLUGIN_ERR_OK;
}
